/* -------------
    SOMMAIRE
------------- */

/*
    @AUTHOR : Nicolas BOUDOT

    BLOC
    Style générale de tous les blocs
*/

/*
  00 - GÉNÉRAL
  01 - BACKGROUND-COLOR & COLOR
  02 - BACKGROUND-IMAGE & FILTER
*/



/* -----------------
  00 - GÉNÉRAL
----------------- */

.bloc {
    padding: 35px 0;
}
@media (min-width: 768px) {
    .bloc {
        padding: 60px 0;
    }
}

    /* @changelog 2024-01-23 [FIX] (Nicolas) Gestion des inceptions de blocs */
    .bloc .bloc,
    .bloc.bloc_separateur {
        padding: 0;
    }
    .bloc.bloc_text_and_picture:not(.padding-reduce) {
        padding: 50px 0;
    }
    @media (min-width: 768px) {
        .bloc.bloc_text_and_picture:not(.padding-reduce) {
            padding: 100px 0;
        }
    }



/* -------------------------
  01 - BACKGROUND & COLOR
------------------------- */

/*
  @infos :
    On défini les couleurs du texte en fonction de la couleur de fond du bloc.
*/

.bloc.bg-tertiary,
.bloc.bg-tertiary a,
.bloc.bg-primary,
.bloc.bg-primary a:not(.btn),
.bloc.bg-primary strong,
.bloc.bg-primary h1,
.bloc.bg-primary .like-h1,
.bloc.bg-primary h2,
.bloc.bg-primary .like-h2,
.bloc.bg-primary h3,
.bloc.bg-primary .like-h3,
.bloc.bg-primary h4,
.bloc.bg-primary .like-h4{
    color: var(--white);
}



/* ---------------------------------
  02 - BACKGROUND-IMAGE & FILTER
--------------------------------- */

.bloc.bg-picture {
    position: relative;
    text-align: center;
    padding: 145px 0;
}

    .bloc.bg-picture::before {
        content: "";
        position: absolute;
        inset: 0;
        background-color: rgb(var(--color-primary--rgb-value) / 65%);
    }

.bloc.bg-picture,
.bloc.bg-picture h2,
.bloc.bg-picture a:not(.btn) {
    color: var(--white);
}

.aligncenter {
    display: block;
    margin: 0 auto;
}

.alignright {
    float: right;
    margin: 0.5em 0 0.5em 1em;
}

.alignleft {
    float: left;
    margin: 0.5em 1em 0.5em 0;
}
